require 'spec_helper'

describe Crowdkit::Client::Account do
  context "show" do
    let!(:request_stub) { stub_get("/account").to_return(fixture_response("account.json")) }

    it "send request" do
      client.account.get
      expect(request_stub).to have_been_requested
    end

    it "parse response" do
      account = client.account.get
      expect(account.id).to eq(1)
      expect(account.data[:email]).to eq('test@test.com')
      expect(account.data[:name]).to eq('Test')
    end
  end
end