require 'spec_helper'

describe Crowdkit::Client::Statuses do
  context "show" do
    let(:status_id) { "4be60d841550b13d72acfb3aa0412596" }
    let!(:request_stub) { stub_get("/statuses/#{status_id}").to_return(fixture_response("statuses/status.json")) }

    context "requests" do
      it "gets made" do
        client.statuses.get(status_id)
        expect(request_stub).to have_been_requested
      end

      it "has find alias" do
        client.statuses.find(status_id)
        expect(request_stub).to have_been_requested
      end

      it "blows up without id" do
        expect { client.statuses.get }.to raise_error Crowdkit::ValidationError
      end
    end

    context "response" do
      it "parses" do
        expect(client.statuses.get(status_id).id).to eq(status_id)
      end
    end
  end
end
