require 'spec_helper'

describe Crowdkit::Client::Workers do
  context "flag" do
    let!(:request_stub) { stub_put("/workers/1/flag").to_return(status: 204) }
    before { client.workers(worker_id: 1).flag(reason: 'Because') }

    it "requests" do
      expect(request_stub).to have_been_requested
    end

    it "response" do
      expect(client.last_response.status).to eq(204)
    end

    it "blows up without reason" do
      expect { client.workers(worker_id: 1).flag }.to raise_error Crowdkit::ValidationError
    end
  end

  context "deflag" do
    let!(:request_stub) { stub_put("/workers/2/deflag").to_return(status: 204) }
    before { client.workers(worker_id: 2).deflag }

    it "requests" do
      expect(request_stub).to have_been_requested
    end

    it "response" do
      expect(client.last_response.status).to eq(204)
    end
  end
end